.animation-container {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  display: flex;

}

.dash {
  margin: 0 15px;
  width: 35px;
  height: 15px;
  border-radius: 8px;
  background: var(--color1);
  box-shadow: 0 0 10px 0 #FECDFF;
}

.uno {
  margin-right: -18px;
  -webkit-transform-origin: center left;
          transform-origin: center left;
  -webkit-animation: spin 3s linear infinite;
          animation: spin 3s linear infinite;  
}

.dos {
  -webkit-transform-origin: center right;
          transform-origin: center right;
  -webkit-animation: spin2 3s linear infinite;
          animation: spin2 3s linear infinite;
  -webkit-animation-delay: .2s;
          animation-delay: .2s;
}

.tres {
  -webkit-transform-origin: center right;
          transform-origin: center right;
  -webkit-animation: spin3 3s linear infinite;
          animation: spin3 3s linear infinite;
  -webkit-animation-delay: .3s;
          animation-delay: .3s;
}

.cuatro {
  -webkit-transform-origin: center right;
          transform-origin: center right;
  -webkit-animation: spin4 3s linear infinite;
          animation: spin4 3s linear infinite;
  -webkit-animation-delay: .4s;
          animation-delay: .4s;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  30% {
    -webkit-transform: rotate(370deg);
            transform: rotate(370deg);
  }
  35% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  25% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  30% {
    -webkit-transform: rotate(370deg);
            transform: rotate(370deg);
  }
  35% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@-webkit-keyframes spin2 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  20% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  30% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  35% {
    -webkit-transform: rotate(-190deg);
            transform: rotate(-190deg);
  }
  40% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  78% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  95% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  98% {
    -webkit-transform: rotate(-370deg);
            transform: rotate(-370deg);
  }
  100% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}

@keyframes spin2 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  20% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  30% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  35% {
    -webkit-transform: rotate(-190deg);
            transform: rotate(-190deg);
  }
  40% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  78% {
    -webkit-transform: rotate(-180deg);
            transform: rotate(-180deg);
  }
  95% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  98% {
    -webkit-transform: rotate(-370deg);
            transform: rotate(-370deg);
  }
  100% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}

@-webkit-keyframes spin3 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  27% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);  
  }
  40% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  45% {
    -webkit-transform: rotate(190deg);
            transform: rotate(190deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  62% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  75% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  80% {
    -webkit-transform: rotate(370deg);
            transform: rotate(370deg);
  }
  85% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@keyframes spin3 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  27% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);  
  }
  40% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  45% {
    -webkit-transform: rotate(190deg);
            transform: rotate(190deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  62% {
    -webkit-transform: rotate(180deg);
            transform: rotate(180deg);
  }
  75% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  80% {
    -webkit-transform: rotate(370deg);
            transform: rotate(370deg);
  }
  85% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
            transform: rotate(360deg);
  }
}

@-webkit-keyframes spin4 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  38% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  60% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  65% {
    -webkit-transform: rotate(-370deg);
            transform: rotate(-370deg);
  }
  75% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  100% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}

@keyframes spin4 {
  0% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  38% {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  60% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  65% {
    -webkit-transform: rotate(-370deg);
            transform: rotate(-370deg);
  }
  75% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
  100% {
    -webkit-transform: rotate(-360deg);
            transform: rotate(-360deg);
  }
}